29.08.2005
- fix sending sms to ERA, noticed by Quosek <qosek[at]o2.pl> (sms/shasta)
- improved handling ERA login, pointed out by Quosek <qosek[at]o2.pl> (sms/shasta)
- small gg2-devel.SlackBuild improvement
- 2.2.8 release (THrull)

12.08.2005
- Updated libgadu with fix of security problems - GNU TLS patch applied (gadu-gadu/THrull)
- Added more user-friendly configure script error messages (do not kill me for that) (THrull)

01.08.2005
- Modified status description wrapping functionality, so that it works on
UTF-8 strings; Fixed a memory leak. (GUI/mkobierzycki)

27.07.2005
- Implemented patch sent by Przemysław Grzegorczyk - copying contact's
description to clipboard. Closes #190. (GUI/mkobierzycki)

22.07.2005
- Implemented wrapping contacts' descriptions - based on a patch sent by Michał Kazior. (GUI/mkobierzycki)
- translation update (Aflinta)
- other fixes
- 2.2.7 release

16.06.2005
- gg2-devel.SlackBuild fix (ABOUT-NLS), package creation works for Slamd64 now as well (shasta)

14.06.2005
- A commit for report #203. (jabber/mkobierzycki)
- Applied patch sent by Przemysław Grzegorczyk - report #200.
(jabber/mkobierzycki)

27.05.2005
- Fixed #193 (GUI/mkobierzycki)

26.05.2005
- 2.2.6 released

22.05.2005
- Reworked the way that GtkImhtml widget is used; closes #148.(GUI/mkobierzycki)

21.05.2005
- Fixed bug #141. (GUI/mkobierzycki)

20.05.2005
- Changes within iconsets; Thanks go to Piotr Złocki. (mkobierzycki)
- Fixed bug #170. (core/mkobierzycki)
- Moved tlen plugin configuration file from `config' to `tlen'; closes #174. (tlen/mkobierzycki)

19.05.2005
- Fix for bugreport #146 (tlen/mkobierzycki)
- Default fonts for chat window (GUI/THrull)

17.05.2005
- change status patches by Przemyslaw Grzegorczyk <francuz86[at]gmail.com> (gadu-gadu/tlen/jabber/aaway)
- merged "tlen-classic" iconset into "classic" iconset (krzak)

16.05.2005
- Uploaded crystal icons set for Jabber plugin. (mkobierzycki)

11.05.2005
- patch for #177 by bj <foxia at alexandria.cc> (gghist)

07.05.2005
- patch for internal libgadu: replace openssl with gnutls (mateusz.kaduk at gmail.com) (gadu-gadu)

21.04.2005
- fixed segfault (autoconnect) traced & patched by Przemyslaw Grzegorczyk <francuz86[at]gmail.com> (gadu-gadu)

13.04.2005
- added mutex to handle_status_changed(), and other small fixes (GUI/krzak)

12.04.2005
- small fixes related to reading pixmaps (GUI/krzak)

01.04.2005
- 2.2.5 released

27.03.2005
- IDEA has changed its sms gateway url again, fixed by Artur Gadawski <artur[at]ufo.o.k.pl>.
  Maybe we should make these configurable? (sms)
- fixed: "signals.c:207: warning: use of cast expressions as lvalues is deprecated".
  Hopefully it doesn't break any builds ;-) (core/shasta)

09.03.2005
- ggadu_strchomp() allways return newly-allocated string (core/krzak)
- update preferences for skins support (GUI/krzak)
- update libgadu (gadu-gadu/krzak)
- update for gcc 2.9x by freebsd port (krzak)

07.03.2005
- Basic implementation of JEP-0030 (Service Discovery). (mkobierzycki/jabber)
- Implemented `<os>' node handling - JEP-0092 (Software Version) (mkobierzycki/jabber)

02.03.2005
- close #166 - import userlist (gadu-gadu/krzak)
- disable plugin "remote" at all (krzak)

01.03.2005
- font setting for editing text entry by Wiktor Grebla <greblis[at]wp.pl> (GUI)

23.02.2005
- Applied caching mechanism for current implementation of JEP-0092 
  (Software version). (mkobierzycki/jabber)

22.02.2005
- close #159 - fonts in chat window (GUI/krzak)

19.02.2005
- Added option `Autoconnect with status: FOO' to preferences dialog. (mkobierzycki/jabber)

17.02.2005
- Added `Resource' field to `(Contact info)/Software' dialog. (mkobierzycki/jabber)
- Show preferences dialog while trying to connect without (jid || password), closes #167 (mkobierzycki/jabber)

16.02.2005
- fluxbox compatibility and improvements for dockapp plugin by Andrzej Kurzeja (krzak/dockapp)
- irc-style messages in chat window - option (keneda at bohater.net/GUI)
- Slightly reworked the way that signal `gui status changed' is handled (mkobierzycki/GUI)
- Show current status description in tooltip - now works with jabber
  and tlen plugin also (mkobierzycki/GUI)

04.02.2005
- automake 1.9, 1.8 and at least unspecified used by autogen sutff (krzak)

01.02.2005
- patch from Andrzej Kurzeja andyx(at)budorex.com.pl for Tlen.pl status (Tlen)
- build core and gadu-gadu plugin on MacOSX (krzak)

31.01.2005
- patch from Mateusz Papiernik: Do not show contacts with status `JABBER_STATUS_ERROR'
  while `Don't show unavailable' option is set. (mkobierzycki/jabber)
- cleanups. (krzak/core)
- add esd.m4 (krzak)
- 'default' for no skin in config combo box (GUI/Thrull)
- void jabber_change_status(GGaduStatusPrototype *sp, gboolean keep_desc); (mkobierzycki/jabber)


26.01.2005
- skins config update (GUI/THrull)
- fixed "offline with description" while "private" mode is enabled (gadu-gadu/krzak)

20.01.2005
- look for skins in .gg2/skins and datadir/skins

19.01.2005
- fixes realted to GGaduStatusPrototype (krzak)
- config->configdir in all plugins (krzak)

16.01.2005
- "get current status" and ggadu_find_status_prototype() return 
  duplicate of GGaduStatusPrototype stucture (krzak)

12.01.2005
- close #139 - tlen sefgault while change status (tlen/krzak)

10.01.2005
- support for protocol: instead protocol:// (krzak)

05.01.2005
- perl support is still too experimental and is disabled by default (krzak)
- some default values (GUI/krzak)
- README.dbus for D-BUS plugin
- 2.2.4
- skins support for original Gadu-Gadu skins - EXPERIMENTAL (GUI/THrull)

04.01.2005
- auto-away is independent for every protocol (aaway/krzak)
- description is visible in protocol status tooltip (GUI/krzak)

03.01.2005
- ggadu_spawn() can parse %s argument. (krzak)
- change default values for executable variables in sound-external, history-viewer
  now it contains %s at the end. Should be updated in config files. (krzak)
- "Open in browser" is first item after click at link. (krzak)

02.01.2005
- Happy New Year
- search element in context menu (gadu-gadu/krzak)
- active hyperlinks in chat window (GUI/krzak)

29.12.2004
- auto-away and status changes - fight. (krzak)
- Tlen plugin need MORE work. Somebody want to help ? (krzak)

28.12.2004
- aaway want keep description (aaway/gadu-gadu/krzak)
- fix setting descriptive status (gadu-gady/krzak)

27.12.2004
- add/remove to/from ignored (ignore/krzak)
- use_xosd_for_status_change by kaneda[at]bohater.net (GUI/krzak)
- discovery services list in menu (Jabber/krzak)

26.12.2004
- dcc fixes (GUI/krzak)
- libgadu update (gadu-gadu/krzak)
- small design changes (GUI/krzak)

25.12.2004
- patch for external-history plugin destroy function by BJ (foxia[at]alexandria.cc)
- search for X libraries for aaway plugin (krzak)
- chat window design modified a bit (GUI/krzak)
- show "stick" button only if more than one workspace available (GUI/krzak)

23.12.2004
- ignore list view added, it still sux but better than nothing (ignore/krzak)
- fixed status and status description changing (jabber/mkobierzycki)

22.12.2004
- introduce "ignore-main" plugin, not finished yet (krzak)
- remove current ignore support from jabber plugin, need to use ignore-main plugin. (jabber/krzak)
- some fixes.

20.12.2004
- support for common history interface for tlen plugin (tlen/krzak)

19.12.2004
- fixes for gtk 2.6 (GUI)
- config->argv config->argc values from main(..)
- small fixes.
- introduce ggadu_strcmp(const gchar *s1,const gchar *s2) a case sensitive coparision

15.12.2004
- dbus plugin update (dbus/krzak)
- small fixed (krzak)
- VAR_FLAG_ADVANCED for dialogs (GUI/krzak)
- mnemonics support in dialogs (krzak)

04.12.2004
- Reconnect whenever user changes jid || server || resource || proxy in user preferences dialog while being connected. (jabber/mkobierzycki)

02.12.2004
- display_name is for display only, use plugin->name to identify plugin

26.11.2004
- doxygen documentation initial (krzak)
- changes in some structures
- improving aaway plugin
- do not remember I'm away from internet

19.11.2004
- added modified auto-away plugin to main stream from gg2-plugins cvs module (aaway/krzak)

18.11.2004
- sync libgadu with ekg cvs version (gadu-gadu/krzak)
- close bugs #116,#91,#115
- 2.2.3

17.11.2004
- fixed memory leak in ggadu_strcasecmp (changed to function instead macro)
  and other memory leaks fixed (core/GUI/krzak)

10.11.2004
- remove useless mozilla-plugin part of code (krzak)
- fixed build process of dbus plugin (krzak)

05.10.2004
- bugfix release 2.2.2 (bugs #101-#103)

04.10.2004
- close #97, won't fix until we got decent parser (emoticons.def/shasta)
- gg2-devel.SlackBuild arguments are passed to autogen.sh now. (shasta)
- don't use --with-all-plugins in gg2-devel.SlackBuild, it's FUBAR.
  instead, you can do: sh gg2-devel.SlackBuild --with-all-plugins,
  if you care that much. (shasta)

03.10.2004
- fix in gadu-gadu when receive notification about status from contact  
  not listed on userslist (gadu-gadu/krzak)
  
02.10.2004
- dbus-im-openchat-wrapper and GNOME schemas moved to OFI Project as
  ofi-openchat-wrapper (krzak)

31.10.2004
- warning message if trying sebd nessage while not connected (gadu-gadu/krzak)
- src/plugins/dbus/dbus-im-openchat-wrapper invoke openChate method :
  preferred patch for dbus to run services if needed in contrib/patches/dbus-all-services.patch
  usage:
    dbus-im-openchat-wrapper protocol://contact_id
  (dbus/krzak)
- src/plugins/dbus/dbus-org-freedesktop.im.schemas.in
  install gconf keys /desktop/gnome/url-handlers/{gg,jabber,tlen}/command
  to handle protocols by gnome using dbus and org.freedesktop.im interface
  (dbus/krzak)
- org.freedesktop.im.GG.service.in -  DBUS service file (dbus/krzak)
- update src/plugins/dbus/README file with more details (dbus/krzak)
- load plugins in order: GGADU_PLUGIN_TYPE{UI,PROTOCOL,MISC} (core/krzak)

28.10.2004
- s/protocol_handler_str/protocol_uri/g (THrull)
- dbus plugin handle methods
  org.freedesktop.im.getPresence
  org.freedesktop.im.getProtocols
  org.freedesktop.im.openChat
  (krzak/thrull/dbus)
- GGaduProtocol->protocol_handler_str (krzak)
  (gg:// tlen:// jabber://)
- introduced new signal "get user" -  should return GGaduContact (krzak)
- added GGaduContact_copy() (krzak)
- GGaduConfig->plugins  to GGaduConfig->loaded_plugins
- "get user" implemented in gadu-gadu, tlen, jabber (krzak)
- remember to set plugin_handler->protocol = protocol (krzak)
- DBUS getPresence working fine (krzak)


26.10.2004
- fix exit if set unavailable in jabber plugin (krzak/jabber)
- update pl translation (THrull)

25.10.2004
- initial DBUS plugin (krzak)

22.10.2004
- close chat window on ESC option (mkobierzycki/GUI)
- fixed reading malformed userlist (gadu-gadu/krzak)
- escape string config variables (core/krzak)
- rel. 2.2.1

20.10.2004
- default font set to -*-*-*-r-*-*-20-*-*-*-*-*-iso8859-2
  default color set to #67FF40,  suggested by misior  (xosd/krzak)
- animated icon in docklet (docklet/krzak)
- update pl translation (aflinta)
- release 2.2.0

19.10.2004
- close #87, improved "open chat window" action (GUI/krzak)
- close #49, descriptions are now rendered, cosmetics (GUI/THrull)

18.10.2004
- fix showing windows with new messages if docklet plugin isn't loaded (krzak/GUI)
- do not load modules with the same prefix ex. multiple sound-* plugins, just load
  first met. Char '-' is a separator family-name in module name (core/krzak)
- gtk_combo -> gtk_combo_box in dialogs (GUI/krzak)

15.10.2004
- fixed registration procedure, close #86 (gadu-gadu/krzak)
- use GtkFileChooser instead deprecated GtkFileSelection (GUI/krzak)
- sound plugins fixes.. more messages about errors (sound-*/krzak)
- use GtkColorButton for color selection (GUI/krzak)
- "get current status" signal now return GGaduSignalPrototype value instead just status id. (krzak)
- new functions in ggadu_support.c (protocols are adaptarized to use it) (krzak):
  gchar *ggadu_get_protocol_status_description(GGaduProtocol *gp)
  void   ggadu_set_protocol_status_description(GGaduProtocol *gp,gchar *description)
- small fix realted to icons on chat window (krzak)


13.10.2004
- try to reconnect jabber connection three times before disconnect (jabber/krzak)
- close bug #85 using g_filename_to_utf8 (sound plugins/krzak)
- close bug #24 - update label with description (GUI/krzak)

08.10.2004
- chat window change icon to notify about new message (GUI/krzak)
- fixed begin conference chat using ctrl or shift modifier (GUI/krzak)

29.09.2004
- g_strcasecmp is deprecated and should not be used in newly-written code. 
  Replaced with ggadu_strcasecmp() (krzak)

28.09.2004
- fixes relared to auto_away feature (GUI/krzak)
- fixes related to empty messages and disconnect handling (Jabber/krzak)
- other fixes (GUI/Jabber/krzak)

27.09.2004
- fixed lib/ggadu_conf.c/ggadu_config_var_set() with g_strstrip() not called with NULL argument.
  Close bug #82 thanks Marcin Grzeskowiak.
- check for messages handlers before unregister them.
  suggested by Michael Hallendal (micke[at]imendio.com) (jabber)

24.09.2004
- "remote" plugin do not build by default anymore
  this plugin propably do not work as it should anymore, there were 
  no update since a long time.

23.09.2004
- rewriten sound-oss plugin (krzak/oss)
- mark chat window title with "*" if somebody talk to us (krzak/GUI)
- small fixes with gtk_window_set_title (krzak/GUI)

21.09.2004
- dlerror() - clear error messages after dlopen (piotr.smyrak[at]heron.pl)

17.09.2004
- option to create dialog boxes with OK button only (mkobierzycki)
- Updated handling dialogs; Small fix. (mkobierzycki)

16.09.2004
- fixes of configuration options used with included libgadu (krzak)

12.09.2004
- Implemented probing software version (JEP-0092) (mkobierzycki/jabber)

10.09.2004
- gg2.png remastered by Rafał Glazar <rafal_glazar[at]o2.pl>

07.09.2004
- Updated po/pl.po translation. If anyone is creating GUI, please remeber to:
  1) Use Capital Letter For Every Word In Window Title!
  2) Use ":" for ending labels of input fields
  3) It will be good idea to add underscores for every option in config dialogs,
     so user will be able to change them using keyboard, not only fucking mouse
  4) Does any one heard about HiG?
  (aflinta)
- small fixes (krzak)
- fixed multiline messages in history engine (krzak)
- release 2.0.6
     
06.09.2004
- gg2-select.patch for userlist right click by madej[at]afn.no-ip.org (GUI/Madej)

02.09.2004
- set wrap mode to GTK_WRAP_WORD_CHAR (GUI/krzak)
  close #62

30.08.2004
- Changing own password implemented (JEP-0077); Minor fixes. (jabber/mkobierzycki)

29.08.2004
- workaround for loudmouth 0.17 keepalive bug (krzak/jabber)
- fixed bug with userlist with polish characters (krzak/gadu-gadu)

28.08.2004
- Fixed registration procedure; Now compliant with JEP-0077; Closes bugreport #3 (mkobierzycki/jabber)

24.08.2004
- fix show/hide toolbar (GUI/krzak)
- Editing own vcard implemented. (jabber/mkobierzycki)
- aRts! plugin start use artsc, need libaudiofile since now. (arts/krzak)
- aRts! plugin compilation enabled by default

23.08.2004
- 2.0.5.1 bugfix release - now jabber plugin compile and work with pre/post loudmouth 0.16

22.08.2004
- tlen-3d icons set as default, current tlen icons set as tlen-classic (core/krzak)
- close bug #76 (gadu-gadu/krzak)
- Jep-0054 - vcard support (jabber/m-kobierzycki[at]debian.linux.org.pl)
- translations update (Aflinta)
- release 2.0.5

21.08.2004
- icons chooser moved to advanced tab, and other (GUI/krzak)

20.08.2004
- reloading themes improved, but still don't know how to back to default style without restart (GUI/krzak)
- some preferences improvements (GUI/krzak)

19.08.2004
- fixed prev button (gghist/krzak)
- a little changes in preferences tabs (GUI/krzak)
- fixed segfault if gui compiled with gtkspell but no dictionary was set (GUI/krzak)
- some changes in preferences gtk_combo -> gtk_combo_box (GUI/krzak)
- GUI require gtk >= 2.4.0 now (GUI/krzak)

18.08.2004
- building plugins and other features is enabled now by default (not all)
  but you can disable it with --without-foo, in addition if some library
  will cannot be found - configure will stop with error message instead just
  disable feature. 
- fixed segfault with gadu-gadu disconnect/reconnect (krzak/gadu-gadu)
- small fixes in jabber plugin

16.08.2004
- jabber ignore/unignore functionality (jabber/m-kobierzycki[at]debian.linux.org.pl)

12.08.2004
- fixed gghist if build without debug (ughhh) (gghist/krzak)

09.08.2004
- #ifdef BUILD_WITH_NEW_LOUDMOUTH
-        lm_connection_set_jid(jabber_data.connection, jid);
- #endif	

05.08.2004
- fixed warning messages with g_strchomp() (GUI/krzak)
- visible warning if there is no jid in configuration (Jabber/krzak)

04.08.2004
- fixed crash of gghist if no file is given (gghist/krzak)
- fixed timeout with jabber plugin by sending empty message every 100000 sec. (jabber/krzak)
- some changes with tooltips (GUI/krzak)
- release 2.0.4

03.08.2004
- ~/.gg create if do not exist, fixed save userlist after import (gadu-gadu/krzak)

02.08.2004
- tropic.theme and office.theme sent by Krzysztof Foltman <krzysztof[at]foltman.com>
- keep history in utf-8, and some cleanups (gghist/krzak)
- fixed make dist, more changes in gghist (krzak)

01.08.2004
- ggadu_save_history() as a base for history in every plugin, to keep similar
  history format (krzak)
- contrib/gghist nice history viewer prototype send by Kazik <kazik.cz[at]interia.pl>
- ggadu_menu_add_user_menu_extensions(..) to get extensions easy (krzak)
- history from all plugins should be stored in .gg2/history directory (krzak)
- added history-external-viewer plugin - this plugin install as a extension in usermenu and
  launch external history viewer with file to read as parameter. Currently it can work with
  prototype history viewer from contrib/ subdirectory. (krzak)
  
28.07.2004
- fixed fd leak (sound-oss/HelDoRe)
- fixed some memory allocation issues, closing #63 (gadu-gadu/su829)

21.07.2004
- fixed detecting 'service not activated' at IDEA GSM (sms/shasta)

29.06.2004
- Tooltips for chat window buttons by Przemyslaw Grzegorczyk <fran86 o2.pl>

28.06.2004
- fixed removing +48/0 prefixes from phone number [closes #55] (sms/shasta)
- icons for subscriptions "from" and "none", and menu descriptions changed (jabber/krzak)

27.06.2004
- fixes build process with --with-included-gettext option (krzak)

25.06.2004
- fixed "clear" button in tabbed chat mode (#51) by Przemysław Grzegorczyk <fran86 o2.pl>

21.06.2004
- notify about status changed fixed by Slawek Mikula (zorba <at> silesianet.pl) (tlen)

16.06.2004
- proxy support for jabber plugin (patch by jakub.ambrozewicz gazeta.pl)

12.06.2004
- added gg2-devel.SlackBuild, script for building Slackware binary
  packages directly from CVS sources (shasta)
- history file format compatible with Kadu format by <kazik.cz interia.pl> (gadu-gadu/krzak)
- release 2.0.3

11.06.2004
- timestamping notices (GUI/shasta)
- emoticons.def updated and fixed by Przemyslaw Grzegorczyk <fran86 o2.pl>

10.06.2004
- --without-openssl disable OpenSSL support with included libgadu (krzak)
- fixed conneferce chats initialization (krzak/gadu-gadu)
- use .gg2/gadu_gadu file as a configuration file, but also read .gg/config for first time (gadu-gadu/krzak)
- notify status changes in chat window, close #43 (GUI/shasta/krzak)

08.06.2004
- emoticons window is not created every time, only once in every chat window. (krzak/GUI)
  ( http://bugs.gnugadu.org/index.php?do=details&id=41 )

07.06.2004
- --with-external-libgadu       Build gadu-gadu plugin against external libgadu (krzak)

06.06.2004
- Dutch translation of GNU Gadu, thanks Sander Devrieze.

02.06.2004
- "clear" button added to chat window (GUI/krzak)

30.05.2004
- dockapp plugin update and improvements by Krzysztof Guc <linusklan at o2.pl>

29.05.2004
- heyah! i'm back (sms/shasta)

27.05.2004
- some forgotten unref's (GUI/THrull)

25.05.2004
- fixed chat window latency with emoticons turned on (GUI/THrull)

21.05.2004
- filter out transports entries from the list (jabber/krzak)

18.05.2004
- replace description and status message on chat window (gui/krzak)

17.05.2004
- reorganisation menu order suggested by Piotr Smyrak (gadu/tlen/jabber/krzak)

08.05.2004
- ggadu_config_set_filename create directory if do not exist yet (core/krzak)

06.05.2004
- removing users now requires confirmation (gadu-gadu/jabber/THrull)
- firstsound.patch by emes (GUI/emes)

05.05.2004
- g_get_tmp_dir() used for register-token.tmp file (gadu-gadu/krzak)

04.05.2004
- ";" at the end of gadu-gadu userlist (krzak)
- removed unified-types.h and included into new ggadu_types.h (krzak)

03.05.2004
- fixed crash, introduced with last sort changes , after switch to tree mode,  (krzak)
- there is no such file : pechowiec.gif (krzak)
- release 2.0.2

01.05.2004
- do not show tabs if there is only one on the protocols list (krzak)
- Poland join to UE

22.04.2004
- release 2.0.1

22.04.2004
- openssl detection fixes, libgadu update. (krzak)

21.04.2004
- fix '(null)' in userlist (gadu-gadu/krzak)

18.04.2004
- improved contacts sorting (GUI/krzak)

07.04.2004
- fixes in build process (gadu-gadu/krzak)
- fixed problem with disappearing chat windows without any docklet plugin active (GUI/THrull)

02.04.2004
- some changes in chat window button placement (GUI/THrull)
- keyboard support in userlist - chat init, key up, key down (GUI/THrull)
- integrate library libgadu into gadu-gadu plugin (krzak)
- 2.0

30.03.2004
- dcc ack message (gadu-gadu/thrull/krzak)

28.03.2004
- close http://bugs.gnugadu.org/?do=details&id=12 [focus related issue] (krzak/GUI)

27.03.2004
- fixed HOME_ETC support, removed CONFIG_DIR support (krzak/all)

24.03.2004
- change "chat_window_auto_raise" to not focus after raise but it will not raise on actual active screen, window manager decide where to raise it. (GUI/krzak)

15.03.2004
- 'Close' button in classic chat (without tabs) will hide chat window (GUI/THrull)

14.03.2004
- 2.0pre8
- show/hide descriptions on userlist button - needs nicer button pixmap! (GUI/THrull)

13.03.2004
- gtkspell configuration (Krzysztof Smigrodzki)
- fixed some stuff with status prototypes registration and visualization (GUI/sms/krzak)

12.03.2004
- avoid ,,(null)'' when changing contact's info (gadu-gadu/shasta)
- build process fixes (shasta)

09.03.2004
- http://www.gnugadu.org (krzak)
- gtkspell support in GUI plugin (Krzysztof Smigrodzki)

29.02.2004
- GUI user list can now show user descriptions under nicknames (THrull/GUI)
- fixed fscked ggadu_config_var_set/add with use of default values (THrull/core)

26.02.2004
- Shift + Enter does not send a message even if "Send on enter" option is enabled (THrull/GUI)

22.02.2004
- additional emoticons definitions for Tlen (gotar)

21.02.2004
- Released 2.0pre7

21.02.2004
- fixed row expanding in tree view when updating userlist (THrull/GUI)
- small translations & POTFILE.in updates (THrull)

18.02.2004
- if you configure for external sound plugin only, it will build now. (Pav Lucistni)

17.02.2004
- leak stop, get_timestamp returns static string (THrull)
- some mem leaks (THrull)
- systray-docklet unload crash fixed (THrull/system-tray-docklet)
- gadu-gadu protocol use repo since now (krzak/gadu-gadu)
- repo.{c,h} -> ggadu_repo.{c,h} (krzak)
- support.{c,h} -> ggadu_support.{c,h} (krzak)
- menu.{c,h} -> ggadu_menu.{c,h} (krzak)
- enable "blink" by default (krzak/GUI)
- memleak in gui_user_view_clear (krzak/GUI)

15.02.2004
- GGaduMsg_free usage (krzak/GUI/gadu-gadu)

14.02.2004
- added ggadu_dialog_new1_full, replaced ggadu_dialog_new1 with macro (core/THrull)
- systray code cleanups (docket/systray/THrull)
- "add user" & "change user" signals are now working... (sms/THrull)
- "gui add user window" and "gui change user window" are no longer avilable (krzak)
- dialog.[c,h] renamed to ggadu_dialog.[c,h] (krzak)
- switch to new dialog API finished (krzak)

13.02.2004
- smashed nasty bug in sms plugin & started to move towards new dialog API (sms/THrull)
- some code cleanups (jabber/THrull)
- more changes for new dialog API, there is only Tlen plugin to finish (krzak/jabber/sms)

10.02.2004
- dialog.c api change process... it's to hard to change it everywhere at one time (krzak)

09.02.2004
- ggadu_dialog_* API change, not finished yet. (krzak/core)
- "gui add user window" and "gui change user window" signals are deprecated. (krzak)
- fixes, changes (krzak)

02.02.2004
- new account registration available with Jabber (jabber/krzak)

01.02.2004
- jabber plugin adapted to work witch changed API of loudmouth library (krzak/jabber)

27.01.2004
- hopefully fixed '<unknown>' on some panels with window groupping turned on (core/shasta)
- tootips on protocol status icons (GUI/THrull)

26.01.2004
- added ability to register new gadu-gadu account [uses threads] (gadu-gadu/shasta)
- pure gettext instead intltool (krzak)

25.01.2004
- massive memory leaks fixes, minor code cleanups (tlen/sms/update/xosd/shasta)
- force focus to the input widget on 'gui show invisible chats' (GUI/shasta)
- when initial chat session is created with menu, do not play any sound (GUI/krzak)
- fixes with ggadu_conf_set_filename() (core/krzak)

24.01.2004
- massive memory leaks fixes, minor code cleanups (gadu-gadu/shasta)

23.01.2004
- clear others description/ip after disconnect (gadu-gadu/shasta)

22.01.2004
- fixed strange behaviour when tabbed chat window is closed and another 
  session is waiting in dock (GUI/krzak)
- fixes with reconnect, and save last connected server IP (gadu-gadu/krzak)

21.01.2004
- cleanups and memory leakage fixes in ggadu_dialog_* (core/THrull)

19.01.2004
- am/ac stuff (krzak)
- fixed segfault with gui_tree_add if no offline_status is declared (GUI/krzak)
- gg2.png install to $(datadir)/pixmaps

18.01.2004
- reordered buttons in chat window (GUI/krzak)
- unable to change chat windows style (tabbed/classic) if there are any active sessions already (GUI/krzak)
- ggadu_strchomp() and implementation (core/gadu-gadu/jabber/krzak)

17.01.2004
- mass code indentation (shasta)
- mass code cleanups - do not use C++-style comments (shasta)
- use repo [fixes disappearing userlist] (sms/shasta)
- full repo support with contacts in Jabber protocol plugin (jabber/krzak)
- ggadu_repo_key_from_string() that will create constat, unique key for string based value (core/krzak)
- ggadu_convert() based macros change, now it return converted text so it's easer to use (core/all/krzak)
- removed signals :
  "auth request","auth request accepted","unauth request","unauth request accepted"
  nobody really used it (GUI/tlen/krzak)
- gui signals handling improved (GUI/krzak)

16.01.2004
- "gui send userlist" signal relay on Repo values, not userlist signal parameter (GUI/krzak)

15.01.2004
- code cleanup (gadu-gadu/core/krzak)
- write_line_to_file() try to create directory before creating file (core/krzak)
- fixed segfault if remove all entries from list (gadu-gadu/krzak)

14.01.2004 - Released 2.0pre6

14.01.2004
- fixed msg_body_color variable saving (GUI/THrull)
- fixes with reconnect and private mode (gadu-gadu/krzak)

13.01.2004
- fixed connecting using HUB server to get Gadu-Gadu server IP address (gadu-gadu/krzak)
- fixed description encoding when autoconnect if used (gadu-gadu/krzak)

12.01.2004
- really fixed segfault when resizing chat window in tabbed mode (GUI/THrull)
- resize chat window will grow history window instead input (GUI/Grzegorz Dabrowski)

11.01.2004 - Released 2.0pre5

11.01.2004
- use username instead of 'Me' (option) (GUI/THrull)
- new tab in preferences... (Chat Window) (GUI/THrull)
- memory management fixes, still needs some work though (sms/shasta)

10.01.2004
- fixed sound preferences icon, docklet new message improved a bit (GUI/Maciek Gorniak)
- ggadu_config_var_add_with_default() allow to specify default value for variable (core/krzak)
- default colors blue and brown for msg_header_color,msg_out_header_color (GUI/krzak)
- trivial 'log' variable fix (jabber/shasta)
- fixed segfaults with malformed 'jid' and 'server' settings (jabber/shasta)
- more verbose error reporting [sort of] (jabber/shasta)
- use chat_window_width and chat_window_height settings for new chat windows (GUI/shasta)

09.01.2004
- sms plugin uses threads now for network operations (sms/shasta)
- fixed disconnect handling and server value changing (jabber/krzak)
- fixed segfault with gadu-gadu connection (gadu-gadu/krzak)
- more new goodies in docklet systray (docklet/THrull)
- "Rozgwiazda" iconset as a default one (krzak)
- History window is no longer Modal type (GUI/krzak)
- menu items order changed (sms/krzak)
- +48/0 prefixes stripping fixes (sms/shasta)

08.01.2004
- fixed `private` setting usage with autoconnect (gadu-gadu/shasta)

07.01.2004
- fixed some memory leaks (gadu-gadu/THrull)
- added some of long-awaited functionality to docklet (docklet/THrull)
- fixed setting status description (jabber/krzak)

06.01.2004
- jabber plugin finished, a lot o work has been done imho.
  Seems work as I expect, testing welcome (jabber/krzak)
- allow to specify optional server you want connect to (jabber/krzak)
- deleted jabber_subscribe.png
- added jabber_error.png

05.01.2004
- fixed segfault when emoticon file was not found (GUI/THrull)
- fixed segfault in dockapp destroy_plugin() (dockapp/THrull)
- plugins remain intact when no changes made in preferences plugins settings (GUI/THrull)

04.01.2004
- more work with jabber protocol plugin, soon will be finished (jabber/krzak)
- ggadu_userlist_remove_id(GSList *userlist, gchar *id);
  GGaduContact *ggadu_find_contact_in_userlist (GSList * list,gchar * id);
  (support.c) (core/krzak)

03.01.2004
- fixed strang baheviour when show/hide inactive button pressed many times (GUI/THrull)
- non-existent emoticons will be ignored (GUI/THrull)
- work in progress with jabber protocol plugin (jabber/krzak)
- if modules_load is empty all plugins will be loaded (lib/THrull)

29.12.2003
- read ~/.gg2/emoticons.def first, if this fails, read default one (GUI/shasta)

28.12.2003
- remove sound_* variables support with gadu-gadu separated config file (gadu-gadu/krzak)
- UI improvements - nothing important (GUI/krzak)

27.12.2003
- remove old and not working icqlib plugin... (icq/THrull)

23.12.2003
- aRts! detection in configure fix, --with-arts-prefix option added (configure/THrull)
- fixed problem with main window decoration on some WM's (GUI/krzak)

21.12.2003
- changes in API, config_* functions renamed to ggadu_config_* 
  and stored in ggadu_conf.{c,h} (all/krzak)

17.12.2003
- fixed compilation issue with gcc-2.95	(all/sebo)

13.12.2003
- fixed segfault with "chat" option and perl support enabled (core/THrull)

11.12.2003
- userlist import/export work again (gadu-gadu/krzak)
- threading enabled for jabber plugin (jabber/THrull)
- userlist menu order changed (gadu-gadu/krzak)
- setting status description fixes (jabber/krzak)
- dockapp fixes (jarwyp/dockapp)
- jabber plugin fixes (need more fixes) (jabber/krzak)

01.12.2003
- HOME_ETC support (CONFIG_DIR already supported) (krzak/All)
- config_save create directory that it want save to (krzak/core)

26.11.2003
- small fixes (emvi)

25.11.2003
- DEVEL <=>  HEAD merge (THrull)

19.11.2003
- fixed status notify with libgadu 1.4 (gadu-gadu/krzak) 

17.11.2003
- bumped up required libgadu version (configure/THrull)

16.11.2003
- support for libgadu 1.4 (gadu-gadu/krzak)

9.11.2003
- added show/hide inactive button to toolbar (GUI/THrull)
- networking code cleanup (sms/shasta)
- don't use static buffers in HTTPstruct (sms/shasta)
- write idea token in this_configdir, not /tmp/ (sms/shasta)

7.11.2003
- sending to IDEA fixed (sms/shasta)

6.11.2003
- toolbar can be hidden with preferences option (GUI/THrull)
- toolbar added, we need think about it's usability... (GUI/THrull)

3.11.2003
- configure does not stop with an error when libgadu or loudmouth not found (THrull)
- aRts headers search with "artsc-config" (krzak)
- send sms messages in iso8859-2, not in utf8 (sms/shasta)

31.10.2003
- NEW docklet-dockapp plugin (by emvi) 
  (without this part of patch that change GUI plugin yet)
- docklets plugins (like sound plugins) are separated in plugins with prefix "docklet"
- "docklet" plugin change name to "docklet-system-tray"

27.10.2003
- do not load .gg/config_test if --disable-debug (gadu-gadu/krzak)

17.10.2003
- when changing status to a descriptive one, ask for the description
  everytime [even if disconnected]. provides (hopefully) current
  description as the default value (gadu-gadu/shasta)

12.10.2003
- IDEA changed their URL again, fixed. (sms/shasta)

28.09.2003
- load all plugins if there's no modules.load. this fixes a nasty bug,
  (affecting mostly new users, without ~/.gg2) where gg2 could eat 100% cpu
  trying to read nonexistant modules.load file. (lib/shasta)
- include sys/soundcard.h rather than linux/soundcard.h. I hope it will
  resolve FreeBSD compilation issue. (sound-oss/shasta)

27.09.2003
- FREE MALLOCS! [strajk edyszyn] (sms/update/shasta)

24.09.2003
- workaround IDEA's gateway problems, we were getting 404/302 all the time.
  Retry 3 times before giving up, then return ERR_GATEWAY (sms/shasta)

23.09.2003
- add basic history functionality, same as in gadu-gadu plugin (tlen/shasta)
- fix(?) adding users from search results (tlen/shasta)
- add basic history functionality, same as in gadu-gadu plugin (jabber/shasta)

22.09.2003
- another bunch of fixes and code cleanups (sms/shasta)
- fix for short final version numbers like "2.4" (update/shasta)
- jabber plugin needs loudmouth >= 0.12 for ssl connections (configure/shasta)
- save last used reason as default one everytime (gadu-gadu/shasta)
- use default reason when connecting to server using any of description
  status (gadu-gadu/shasta)

21.09.2003
- sending sms to IDEA works again (sms/shasta)
- cut +48/0 prefixes while loading userlist (sms/shasta)
- lots of minor bugfixes, bunch of code cleanups (sms/shasta)
- removed eralogin/erapassword from "send sms" dialog box (sms/shasta)
- better(?) userlist saving (sms/shasta)
- more fixes and code cleanups (sms/shasta)
- base64-encoding all config variables containing 'password' (lib/shasta)

17.09.2003
- fix userlist sorting with non-ascii chars (GUI/shasta)

13.09.2003
- more emoticons

12.09.2003
- s/omnix//ig; sending to ERA uses "Basic Gateway", not Omnix.
  Unfortunately, ERA has broken email access to their gateway, so you
  have to register via gsm (and use login in 48XXXXXXXXX form).
  Complaints to era. (sms/shasta)
- more urlencoding (sms/shasta)

11.09.2003
- sending sms through ERA works again. Use your EraOmnix login/password
  (48601234567/foobar or email@some.where/foobar). Note that IDEA is
  *still* broken. (sms/shasta)

23.08.2003
- load plugins in order that you set in plugins manager (core/GUI/krzak)
- fixed segfault with dcc (gadu-gadu/emvi)

22.07.2003
- wm_class form chat window (GUI/kaneda).

05.07.2003
- fallback to defaults if xosd_set_* fails for some reason (xosd/shasta)
- more code cleanups (xosd/shasta)

01.07.2003
- VAR_FONT_CHOOSER, VAR_COLOUR_CHOOSER (core/GUI/shasta)
- allow setting xosd messages color via preferences dialog (xosd/shasta)
- two new config variables: horizontal_offset, vertical_offset (xosd/shasta)
- code cleanups (xosd/shasta)

28.06.2003
- added search by email (jabber/zapal)

26.06.2003
- some fixes, mostly in gui_chat.c (it's still so f*** ugly) (GUI/krzak)
- autoloading perl scripts is now working (fixed path handling) (core/zapal)

25.06.2003
- remember last used search server (jabber/zapal)

24.06.2003
- fixed memory leak in GUI caused by improperly handling of plugin names
  (GUI/zapal)

23.06.2003
- fixed handling of status (available!=free for chat) (jabber/zapal)
- fixed segfault when invoked with invalid jid (jabber/zapal)
- added jabber search (jabber/zapal)

22.06.2003
- uff... GGaduPluginExtension stuff, completly new method using userlist menus, but now it's extensible (core/gadu-gadu/sms/GUI/krzak)
- fixed handling of other's status description (jabber/zapal)
- fixed handling of our status description (jabber/zapal)
- fixed handling contact's presence after addition (jabber/zapal)
- fixed segfault when logging in with non available status (jabber/zapal)

21.06.2003
- fixes in dcc options : [enable/disable] dcc (gadu-gadu/krzak)
- add support for description status (jabber/zapal)
- notify GUI about disconnection (second fix) (jabber/zapal)
- make use of p->online_status and p->offline_status (jabber/zapal)
- translation update (po/zapal)
- open chat window on right click->chat (jabber/zapal)
- allow to set jabber resource (jabber/zapal)

20.06.2003
- fixes in gtkanimlabel mostly (after button click, text go to clipboard) (GUI/krzak)
- dcc file sending feature fixed, and now it really works (gadu-gadu/krzak)
- userlist file format changed !!! to real EKG (not documented) style (You are warned) (gadu-gadu/krzak)

19.06.2003
- Jabber plugin switch to Loudmouth library (http://www.imendio.com/projects/loudmouth)  (Jabber/Zapal)
- few fixes of warnings and fix "offline issue" in gui (GUI/krzak)
- fix in userlist sort after disconnect (gadu-gadu/GUI/krzak)

16.06.2003
- proxy support for gadu-gadu protocol (gadu-gadu/krzak)

15.06.2003
- fix in gg2_core.h (core/krzak)
- more fixes in gtkanimlabel.c (GUI/krzak)

14.06.2003
- fixes in gtkanimlabel.c (finalizer segfault), and small fixes in GUI (GUI/krzak)

13.06.2003
- gtkanimlabel.c widget created, and scrolled descriptions (GUI/krzak)

11.06.2003
- make it possible to specify more than one offline status (all/zapal)

10.06.2003
- 2.0-pre3

09.06.2003
- revolution, internal, signals are not any longer strings, they are GQuark NOW. perl may not work for a while (all/krzak)
- fixes (all/krzak)
- perl is working again (core/krzak)
- load perl scripts from ~/.gg2/perl.scripts directory instead of
  ~/.gg2/perl.load file (core/zapal)

07.06.2003
- default action on Enter, and VAR_FLAG_FOCUS that foucus selected element (GUI/krzak)

06.06.2003
- apply new auto away interval after configuration change (GUI/zapal)
- auto away only if current status is marked as online (all/zapal)

05.06.2003
- tabbed/classic chat type fixes && segfaults--; (GUI/shasta)

04.06.2003
- small fixes in chat window (GUI/krzak)
- tlen 'add user search' handling (tlen/shasta)
- fix some strange segfaults [god damn tlen.pl] (GUI/shasta)

03.06.2003
- make install now work again and install libgg2_core.so in you lib directory (krzak)
- gender search (gadu-gadu/tlen/ManicMiner)
- gg2.spec update (krzak)
- libgg2_core.h autogenerate (krzak)
- libgg2_core.pc added for pkgconfig (krzak)
- revolution, new directory "lib", fuck automake (krzak)

02.06.2003
- autoaway in minutes, not miliseconds (GUI/shasta)
- massive attack - introduce to build libgg2_core.so, install may not work now (krzak)

01.06.2003
- configurable autoconnect status, small cleanups (tlen/shasta)

31.05.2003
- added ability to check for updates on startup [configurable]; switched from
  gtk_timeout_* to g_timeout_*, thus got rid of gtk dependency (update/shasta)
- distinguish messages from warnings (sms/shasta)
- forbid negative values in VAR_INT spin buttons (GUI/shasta)

30.05.2003
- new plugin, able to check for new releases (update/shasta)

28.05.2003
- divider value in chat window is now % (GUI/krzak)
- add an option to set more than one away statuses (all but icq/zapal)

25.05.2003
- allow +48 and 0 prefixes in phone numbers (sms/shasta)
 
24.05.2003
- blink statuslist while connecting (GUI/zapal)
- SMS protocol is now shown in status list (sms/zapal)
- auto away support (gadu-gadu/jabber/tlen/GUI/zapal)
- contact list now shows zero active users after disconnection (GUI/zapal)

23.05.2003
- birthyear search criterion added (gadu-gadu/shasta)

22.05.2003
- search fixes, add city and age category (gadu-gadu/tlen/ManicMiner)
- added xosd 'show messages' menu option, it displays the xosd box for
  a while and hides it. Useful for unread messages. (xosd/shasta)

21.05.2003
- use global sound configuration to play sound on message send (GUI/zapal)

20.05.2003
- use global sound configuration to notify about new messages (GUI/zapal)

19.05.2003
- fixed reason encoding in config (gadu-gadu/shasta)

15.05.2003
- kludge for tlen plugin strange behaviour, taking login() from libutil
  (thus, segfaulting). Changed login() to ggadu_tlen_login() (tlen/shasta)
- set 'happyface' icon on all window's titlebars (GUI/shasta)

14.05.2003
- don't build arts/oss plugins without usable headers (configure/shasta)

07.05.2003
- show user ip (gadu-gadu/GUI/Sebo)
- initial perl support (core/zapal)

06.05.2003
- fixed initial status invisible set (gadu-gadu/krzak)

04.05.2003
- sms plugin pretends to be Galeon, code cleanups, fixes for idea centertel - did it break anything? (sms/shasta)

02.05.2003
- do not install pixmaps/icons/CVS (Makefile/shasta)

01.05.2003
- made ,,About'' dialog available by docklet menu. (docklet/GUI/shasta)

28.04.2003
- font selection for userlist (GUI/THrull)
- toplevel sound file selection not fully working ;-) (GUI/THrull)
- added some info about protcol in info label in tree view - not much useful at the moment (GUI/THrull)

26.04.2003
- icon with chat window (GUI/krzak)
- it's possible to set default position split bar in chat window (GUI/krzak)

25.04.2003
- gui now uses repo in handling userlist changes (GUI/zapal)

24.04.2003
- little fixes with emoticons engine (GUI/krzak)

21.04.2003
- fixed description encoding conversion (jabber/tlen/krzak)

18.04.2003
- fix jabber and tlen disconnect that get 100% CPU usage :)
  (jabber/tlen/krzak)

14.04.2003
- chat window title contains current status of chatter, now in both
  tabbed and classic mode (GUI/shasta)
- empty sound_*_file setting prevents from playing the sound (gadu-gadu/shasta)

13.04.2003
- patch for emoticons window (GUI/Paweł Marchewka)
- lame file sending possibility (gadu-gadu/krzak)

12.04.2003
- introducing repo (core/zapal)
- png files names revolution

11.04.2003
- gg 2.0pre2 released (THrull)
- small improvements in chat window (GUI/krzak)
- small fixes in autoconnect status (gadu-gadu/krzak)

10.04.2003
- VAR_LIST isn't editable (GUI/krzak)
- fix closing tabs (GUI/krzak)
- autoconnect status box (gadu-gadu/krzak)
- fixed paste emoticon tag choosed from window (GUI/krzak)

09.04.2003
- initial commit of ICQ plugin & lib - very alpha, limited functionalicy (icq/THrull)

08.04.2003
- rewriten chat window creation, still sux but less (GUI/krzak)

07.04.2003
- add documentation (docs/zapal)
- sync eggtrayicon.c with libegg repository (docklet/krzak)

06.04.2003
- one little segfault fixed, one small code cleanup (sms/shasta)
- fixes in jabber plugin, confirmations added (jabber/krzak)
- subscription icon and support (jabber/krzak).

04.04.2003
- modification of dialogs and response result method (core/most plugins/THrull)
- gg2sms contacts converter in /contrib (krzak)
- Alignment/position of XOSD box are configurable now (xosd/shasta)

03.04.2003
- it's possible get cancel response from dialog (d->callback_cancel_signal) and GGADU_DIALOG_YES_NO type added (core/GUI/krzak)
- replace images with gtk stock images :) (GUI/krzak)
- load plugins in order in which they are listed in modules.load file (core/zapal)
- fix in plugins dynamic load (GUI/krzak)
- small cleanups in sound plugins, signal registration (sound/THrull)
- added new sound plugin, it uses extarenal program to play sound files (sound/THrull) 
- dynamically load/unload plugins from GUI (restart isn't necessary)
  (GUI/krzak)
- fix for IDEA (sms/HelDoRe)
- automatically show chat window (optional) (GUI/zapal)

02.04.2003
- fix "reason" variable encoding (gadu-gadu/krzak)
- fixed removal of protocols upon unregistering (GUI/zapal)
- free memory used by menus in destroy_plugin (gadu-gadu/jabber/tlen/sms/remote/xosd/zapal)

01.04.2003
- add VAR_LIST variable type (core/gui/THrull)
- checkboxes in dialogs are now more GNOME HIG (gui/THrull)
- we don't need change icon signal anymore (tlen/gui/THrull)
- improved menu and protocol unregistering (GUI/gadu-gadu/jabber/sms/tlen/zapal)

31.03.2003
- real fix of change status icon works with GG_STATUS_FRIENDS_MASK (gui/jabber/gadu-gadu/THrull)
- fixed change status icon (tlen/gadu-gadu/jabber/krzak)

27.03.2003
- fix for ERA (sms/HelDoRe)

25.03.2003
- some labels are noe selectable (GUI/THrull)
- segv fixed in gui_user_view_refresh (GUI/THrull)
- available only for friends option (gadu-gadu/THrull)

24.03.2003
- you can login to gg with custom status, not only ONLINE (gadu-gadu/krzak)
- fixed userlist support (gadu-gadu/krzak)

23.03.2003
- default sound files path (gadu-gadu/krzak)
- little fixes in chat window (GUI/krzak)
- GGaduDialog's have types now, eg. d->type GGADU_DIALOG_CONFIG will be
  displayed as config dialog (preferences icon) (GUI/THrull)
- added function gui_user_view_unregister to use with dynamic plugin
  unloading, but is not working now (GUI/THrull)

20.03.2003
- Sourceforge CVS 

19.03.2003
- Translation update (Chyla)
- fixes in docklet, gui (import/export)

18.03.2003
- unload_plugin initial support (B.Zapałowski/core)
- load_plugin fixes (B.Zapałowski/core)
- remote fixes (B.Zapałowski/core)

16.03.2003
- autoconnect option in protocols plugins (gadu-gadu/tlen/jabber/shasta)

15.03.2003
- slight API change in config_var_*() - more standarized (core/plugins/THrull)

14.03.2003
- 2.0 pre1 release
- changed freeing memory system as it was discussed (all plugins need to accomodate in short time) (core/krzak)
- signal_emit deprecated, use signal_emit_full() instead. (core/krzak)
- register_signal() have only one parameter that is name of signal. (core/krzak)
- building all plugins disabled by default (krzak)
- cosmetics (shasta)
- adapt remote and docklet for new signal_emit_full (remote/docklet/B.Zapałowski)

12.03.2003
- autohidden startup option (GUI/Bartosz Zapałowski)

10.03.2003
- docklet signals behavior changed - now you send file path instead image (GUI/shasta/krzak)
- color settings tab in preferences (GUI/THrull)

09.03.2003
- send_on_enter configurable (GUI/THrull) 
- welcome "remote" plugin (Bartosz Zapałowski)

08.03.2003
- improved tree user list appearance (GUI/THrull)
- display of active users count in tree view (GUI/THrull)
- new message notified by xosd (option) (GUI/shasta)
- added (implamented) new type of VAR - VAR_IMG - it is actually a string, full path to image file (GUI/THrull)
- updated some translations (po/GUI/THrull)
- sticky chat window option (GUI/krzak)
- (classic mode) chat window raise if new message arrive (GUI/krzak)

07.03.2003
- chat window title (classic mode) display current status of chatter
  (GUI/shasta)
- tab switching ctrl+tab from input text area in chat window (GUI/krzak)

06.03.2003
- docklet menu (docklet/shasta)
- tabbed window showing fixed (GUI/krzak)
- scrolling in chat window fixed (GUI/krzak)
- coredump when adding user with only ID fixed (GUI/Thrull)

04.03.2003
- saving position and size of a window (GUI/THrull)

03.03.2003
- scrolling error in tabbed chat window partial solved (GUI/krzak)
- some cosmetics in chat window (GUI/krzak)

02.03.2003
- show only active users option, tree expanding (GUI/THrull)
- CONFIG_DIR patch (sms/Tiwek)

01.03.2003
- fixed IDEA picture, and added error messages (sms/HelDoRe)
- fix in dialog.c should solve some segfolts (GUI/krzak)

26.02.2003
- if nick is empty then get first name in userlist (gadu-gadu/krzak)
- SMS plugin initial (HelDoRe)

25.02.2003
- fixed tabbed chat window (I very hope) (GUI/krzak)

24.02.2003
- Improved chat window (resize fixed, tabs with close, more stock icons) (GUI/krzak)
- Fully functional "Set description" option in Tlen. (tlen/mati)

23.02.2003
- Improved emoticons engine (GUI/krzak)
- Tabbed style chat window initial (GUI/krzak)
- "Set description" quite works, but GUI sets NULL icon with this meta-status (tlen/mati)
- changes in GGaduNotify - field description moved to GGaduContact->status_descr (core/THrull)
- got rid of the fifth column in tree/list ;-) (GUI/THrull)

22.02.2003
- plugins manager moved to preferences (GUI/THrull)

21.02.2003
- memory leak messive attack - signal is freed after execute by core
  so I made few changes to work with that new behaviour, also add signal_cpy()
  that copy signal data (of course without ->data entry),
  we start to move to better signal engine (core/GUI/krzak)

20.02.2003
- colours in chat window (hemmm) (GUI/krzak)
- changes in search engine (need to be rewriten IMHO) (core/tlen/gadu-gadu/krzak)
- "find" button in chat window (GUI/krzak)
- check for text != NULL in conversion macros (core/krzak)

19.02.2003
- source files split in GUI to clean up this mess a bit (GUI/THrull)
- frame around chat window widgets (GUI/THrull)
- description in tooltip (GUI/krzak)

18.02.2003
- further tree improvements (GUI/THrull)
- title of warning message now is set from plugin/protocol name (GUI/HelDoRe/THrull)
- icon naming in Tlen changed (tlen/pixmaps/THrull)
- new icons added for tlen in modern set (pixmaps/Rael)

17.02.2003
- nice stock item icons in menu (GUI/THrull)
- tree user view - experimental (GUI/THrull)
- default reason option in gg (gadu_gadu/HelDoRe)

15.02.2003
- auto-detection of installed libraries (configure/THrull)
- added docs/icons.howto (docs/THrull)
- all icons/image files converted from xpm -> png (pixmaps, plugins/THrull)
- icons chooser (GUI/THrull)
- themes chooser small fixes (GUI/THrull)

14.02.2003
- history in gg1 style (gadu-gadu/krzak)
- themes chooser (GUI/HelDoRe/krzak)
- translation update, and little fixes (po/krzak)
- removed lots of memory leaks in preferences/read_emoticons (GUI/THrull)
- s/configure/preferences/, s/read_emot/read_emoticons/ (GUI/THrull)
- variable "emot" in .gg2/gui for emoticons emable disable. (GUI/HelDoRe)
- emoticons configuration in GUI (initial) (GUI/HelDoRe)

13.02.2003
- XOSD configuration menu (xosd/gui/Kender)
- you can now switch on/off chat logging (gadu_gadu/THrull)
- VAR_BOOL fixed in config_var_set/config_read	(core/THrull)

12.02.2003
- testing thread for login in jabber, now it shouldn't freeze gui until login (jabber/krzak)
- fixed coredumps and relogin after offline selected twice (gadu-gadu/tlen/jabber/krzak)

11.02.2003
- fixed description encoding (gadu-gadu/gui/krzak)

10.02.2003
- docklet plugin now works allright in fluxbox/blackbox (docklet/Kender)

09.02.2003
- in xosd plugin config is read form .gg2/xosd not .gg2/xosd_test (xosd/THrull)
- memory leak in core (core/THrull)
- memory leaks in varius plugins (plugins/THrull)
- import/export of userlist now works in GG (gadu_gadu/THrull)

08.02.2003
- configuration file for gadu_gadu is now encoded properly in iso-8859-2 (gadu_gadu/THrull)
- docklet plugin do not fault loaded without main-gui (docklet/krzak)
- stop segfolt while plugins load (core/krzak)
- VAR_FILE_CHOOSER option for dialog (gui/krzak)
- sound file configuration in gadugadu (gadu-gadu/krzak).

07.02.2003
- perhapes tlen search now works fine - forgot about UTF8 conversion (tlen/mati)
- segmentation fault fix in search (tlen/krzak)

06.02.2003
- fixes for xosd (xosd/Piotr Bednarczyk)

05.02.2003
- configuration file for tlen is now $HOME/.tlen or $HOME/$CONFIG_DIR/tlen (tlen/THrull)
- tlen checks if users tries to login with empty login/password (tlen/THrull)
 
04.02.2003
- status message is now send in cp1250 (gadu-gadu/krzak)

03.02.2003
- configuration file .gg2/xosd for XOSD plugin (xosd/Pawel Jan Maczewski)
- search nearly-implemented in tlen plugin (tlen/mati)

03.02.2003
- search implemented in gadu_gadu plugin (gadu_gadu/THrull)
- search framework in gui added (GUI/THrull)

2.02.2003
- fixed sigsegv in tlen session error, now all is working fine (tlen/mati)
- tlen session error emits "gui disconnect" to change icon to disconnect one (tlen/mati)

1.02.2003
- little fixes (GUI/Pawel J. Maczewski)
- updated creation of user-defined dialogs, new type of variable VAR_BOOL is supported (GUI/THrull)

31.01.2003
- updated translation
- fixed "gui disconnected" to change icon to disconnect one in such case (GUI/krzak)
- fixed (I start looking on it) connection error messages (gadu-gadu/krzak)

28.01.2003
- compatibility fixes for latest libtlen (tlen/mati)

27.01.2003
- gg2 GUI reads "theme" variable from $CONFIG_DIR/gg2 || $HOME/.gg2, 
  and parses gtkrc compatible file from $DATADIR/themes/themename.theme (GUI/mati)

25.01.2003
- fixed i18n (core/aflinta)

24.01.2003
- added tlen_freesession after unavailable presence (tlen/mati)

23.01.2003
- fix in history encoding (gadu-gadu/krzak)

22.01.2003
- config_save fixes , new config_var_check() checking do we have such 
  variable registered, caution for config_var_get() - can return NULL 
  and it not mean that we do not have registered such varaiable (core/krzak)

21.01.2003
- more fixes config_save (core/krzak)
- preferences for plugins jabber and tlen (jabber/tlen/krzak)
- fixed history (gadu-gadu/gui/krzak)
- jabber plugin enabled default (core/krzak)

20.01.2003
- fixed config_save (krzak)

19.01.2003
- "history" initial support (need to clear) (gadu-gadu/gui/krzak)
- until now gadu-gadu can initialize conference, so we have full (?) support for conference system (gadu-gadu/krzak)
- fixed and changed conferrence support "engine", it works! (krzak)

10.01.2003
- added session->error checking (tlen/mati)
- unauthorized error removed (from libtlen too) because of session->error (tlen/mati)

09.01.2003
- fixes saving configuration to file.. seems work fine (core/krzak)
- config_save(handler) in plugins.h, so it's core function like config_read() (core/krzak)

08.01.2003
- saving configuration data to file (gadu-gadu/krzak)
- fixes in base64_encode (core/krzak)
- improved debug messages (core/krzak)

28.12.2002
- jabber plugin massive attack - working log-in and talk. (jabber/krzak)

23.12.2002
- conferences start - currently you can receive conference and talk within (core/GUI/gadu-gadu/krzak)

22.12.2002
- initial dialog.c abstract for dialog windows usage (core/gadu-gadu/tlen/GUI/krzak)
- fixed emoticons engine (GUI/krzak)
- little fixes (GUI/tlen/gadu-gadu/krzak)
- modifications for aRts plugin build (arts/krzak)
- unified and fixed config_* functions (take care about VAR_STR,VAR_INT type) (core/krzak)
- s/gadu_gadu/gadu-gadu/ (gadu-gadu/krzak)

21.12.2002
- if status clicked while not connected, tlen will login as clicked status (tlen/mati)
- additional field (flag) in GGaduKeyValue (VAR_FLAG_SENSITIVE (default), VAR_FLAG_INSENSITIVE) (core/GUI/krzak)
- merge build_option_gtk_table() into build_dialog_gtk_table() (GUI/krzak)
- tlen_plugin supports description status now (tlen/mati)
- added few gui_warnings (tlen/mati)

20.12.2002
- config path is now $CONFIG_DIR/gg2 && $HOME/.gg2 (core,gadu-gadu/THrull)
- translation update (po/THrull)
- user (plugin) defined dialogs are supported (core,GUI,gadu-gadu/THrull)
- other small fixes (THrull)

17.12.2002
- support for delete-event which hides main window if docklet is present (GUI/THrull)
- zmiana "kodowania" daty w czejczlogu na bardziej H4k3rskie... (all/Srul)
- sound-arts używa wątków i juz się nie forkuje (sound-arts/THrull)
- poprawki w tłumaczeniach (po+GUI/THrull)
- signal_emit can get destination plugin name as pattern (ex. "sound*" affect "sound-oss","sound-esd" etc.) (core/krzak)
- plugins manager (core/GUI/krzak)
- .gg2/modules.load

15.12.2002
- changed behaviour of config_read and set_config_file_name (now expect full path to file) (core/krzak)
- initial plugins manager (GUI/krzak)
- cleanup for gcc3 (all/krzak)
- fixed additioal information field (GUI/Thrull)
- config file moved to ~/.tlen/config (tlen/krzak)

09.12.2002
- little fixes ( "_()" for status )

08.12.2002
- notify server about add/remove contact to list (gadu-gadu/krzak)
- fixed core dumps with signal "gui send userlist" (GUI/krzak)
- little fixes in GUI (GUI/krzak)
- description info - start (GUI/krzak)
